/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package beaconconfig;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;

public class BeaconConfigRemote 
{
    NetworkClient nc;

    public BeaconConfigRemote(String ipaddr)
    {
	CustomFrame f = new CustomFrame("Beacon Configuration", 310, 150);
	Container container = f.getContentPane();
	BorderLayout layout = new BorderLayout();
	container.setLayout(layout);
	f.setBackground(Color.white);

	nc = new NetworkClient(ipaddr);

	RemoteSketchPanel sp = new RemoteSketchPanel(null, nc, true);
	RemoteControls cntl = new RemoteControls(null, null, nc, true);
	RemoteSolverPanel solver = new RemoteSolverPanel(null, null, 0, 0, 0, nc);

	container.add(cntl, "North");
	container.add(sp, "Center");
	container.add(solver, "South");

	solver.setBorder(BeaconConfig.createBorder());

	Controls.getResetButton().addActionListener(sp);
	nc.addRemoteSyncListener(sp);
	nc.addRemoteSyncListener(cntl);
	nc.addRemoteSyncListener(solver);

	nc.start();
	f.validate();
	f.pack();
	f.setVisible(true);
    }

    public static void main(String[] args) {
	if(args.length < 1) {
	    Util.assert_nonjava(false, "Usage: java beaconconfig.BeaconConfigRemote ipaddr");
	}
	try {
	    String look = UIManager.getCrossPlatformLookAndFeelClassName();
	    //System.out.println(look);
	    UIManager.setLookAndFeel(look);
	} 
	catch (Exception e) { }
	BeaconConfigRemote bcr = new BeaconConfigRemote(args[0]);
    }
}

