/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
public class Util 
{
    public static boolean debugMode = true;

    public static void dbgPrintln(String s) 
    {
	if(debugMode) 
	    System.out.println(s);
    }
    
    public static void assert_nonjava(boolean pred, String errMsg) 
    {
	try {
	    if(!pred)
		throw new Exception();
	}
	catch (Exception e) {
	    System.err.println("ASSERTION FAILED--> "+errMsg);
	    e.printStackTrace();
	    System.exit(1);
	}
    }

    public static double min(double a, double b)
    {
	if(a < b) return a; else return b;
    }

    public static double max(double a, double b)
    {
	if(a >= b) return a; else return b;
    }

    public static String textOf(double d, int places) 
    {
	String s = String.valueOf(d);
	int eIndex = s.indexOf("E");
	if(eIndex >= 0) {
	    return s.substring(0, places+2)+s.substring(eIndex, s.length());
	}
	int endIndex = s.length();
	int decIndex = s.indexOf(".");
	if(decIndex >= 0)
	    endIndex = min(endIndex, decIndex + places);
	
	return s.substring(0, endIndex);
    }

    public static int min(int a, int b)
    {
	if(b < a)
	    return b;
	return a;
    }

}
